use "..\distributions.dta", clear
set seed 10202
foreach v of varlist trade income population fh{
sum `v'
forvalues i=1/50{
gen rand=rnormal()*r(sd)/2
gen `v'_`i'=round(`v'+rand)
if "`v'"=="trade" | "`v'"=="fh"{
replace `v'_`i'=round(abs(rand)/2) if `v'_`i'<0
}
if "`v'"=="population" | "`v'"=="income"{
replace `v'_`i'=round(abs(rand)/2) if `v'_`i'<1
}
drop rand 
}
}


foreach v of varlist trade income population fh{
//foreach v of varlist trade {
preserve
stack `v'_*, into(`v'_stack)
mkmat `v'_stack
restore
}

foreach v of varlist trade income population fh{
svmat `v'_stack 
}

replace fh_stack=100 if fh_stack>100

***

twoway (hist trade, width(200) fcolor(none) lcolor(red))(hist trade_stack, width(200)) (kdensity trade, lcolor(red) yaxis(2))(kdensity trade_stack, lcolor(black) yaxis(2)), graphregion(fcolor(white) lcolor(none) lwidth(none) ifcolor(white)) legend(order(2 "Simulated Distribution" 1 "Top 20 Distribution" 4 "Kernel Density Simulated" 3 "Kernel Density Top 20"))  xtitle("U.S. Exports (in millions)") ylabel(none, axis(2)) ylabel(none, axis(1)) 
graph save Graph "trade_dist.gph", replace
twoway (hist income, width(250) fcolor(none) lcolor(red))(hist income_stack, width(250)) (kdensity income , lcolor(red) yaxis(2))(kdensity income_stack, lcolor(black) yaxis(2)), graphregion(fcolor(white) lcolor(none) lwidth(none) ifcolor(white)) legend(order(2 "Simulated Distribution" 1 "Top 20 Distribution" 4 "Kernel Density Simulated" 3 "Kernel Density Top 20"))  xtitle("GNI (PPP)") ylabel(none, axis(2)) ylabel(none, axis(1))    
graph save Graph "income_dist.gph", replace
twoway (hist population, width(5) fcolor(none) lcolor(red))(hist population_stack, width(5)) (kdensity population, lcolor(red) yaxis(2))(kdensity population_stack, lcolor(black) yaxis(2)), graphregion(fcolor(white) lcolor(none) lwidth(none) ifcolor(white)) legend(order(2 "Simulated Distribution" 1 "Top 20 Distribution" 4 "Kernel Density Simulated" 3 "Kernel Density Top 20"))  xtitle("Population (in millions)") ylabel(none, axis(2)) ylabel(none, axis(1)) 
graph save Graph "population_dist.gph", replace
twoway (hist fh, width(5) fcolor(none) lcolor(red))(hist fh_stack, width(5)) (kdensity fh, lcolor(red) yaxis(2))(kdensity fh_stack, lcolor(black) yaxis(2)), graphregion(fcolor(white) lcolor(none) lwidth(none) ifcolor(white)) legend(order(2 "Simulated Distribution" 1 "Top 20 Distribution" 4 "Kernel Density Simulated" 3 "Kernel Density Top 20"))    xtitle("Freedom House Aggregate Scores") ylabel(none, axis(2)) ylabel(none, axis(1)) 
graph save Graph "fh_dist.gph", replace
grc1leg trade_dist.gph income_dist.gph population_dist.gph fh_dist.gph,  cols(2) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large)) position(6) ring(5) 
graph export "A1_distributions.eps", as(eps)  replace

outsheet trade_stack income_stack population_stack fh_stack using "sim_distributions", comma replace


